Subject: CYGNUS-WIN32 and Oracle OCI7.2 Library
From: [email-masked] (Minh Le Cong)

23 Aug 1997 23:38:38 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BCAE2D.BD3771A0.cygnus.gnu-win32@pcmlg>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

Hello all,
I'm new to CYGNUS-WIN32 and I have one question involved CYGNUS-WIN32.

As you may know, Personal Oracle 7.2 for NT include an API called OCI (Oracle Call Interface).
This is used to access the Oracle database.
This is a  C API . It consists of  some .h files , a DLL (ociw32.dll) and OCIw32.lib

The ociw32.lib is intended for MSVC users.

So my question is that how can I link my program with OCI library  if I use CYGNUS-WIN32 ?
 how gcc and ld deal with .LIB libary files ( not .a library file)?

My email address is [email-masked]

Thank you very much for any help,
Regards,
mlg

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".